Bug 101612 - upgrade traceback: UnboundLocalError: local variable 'fsystem' referenced before assignment
Summary: upgrade traceback: UnboundLocalError: local variable 'fsystem' referenced bef...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: beta1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-08-04 18:57 UTC by Mike McLean
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-13 16:02:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike McLean 2003-08-04 18:57:04 UTC
* Cambridge-re0801.nightly (internal)
* kickstart upgrade

This traceback has been observed during upgrades from 7.3, 8.0 and 9.

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1025, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 674, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 1415, in run
    self.setup_window(runres)
  File "/usr/lib/anaconda/gui.py", line 1387, in setup_window
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 1053, in setScreen
    (step, args) = self.dispatch.currentStep()
  File "/usr/lib/anaconda/dispatch.py", line 273, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 168, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 236, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/upgrade.py", line 251, in upgradeMountFilesystems
    allowDirty = 0)
  File "/usr/lib/anaconda/upgrade.py", line 105, in mountRootPartition
    newfsset = fsset.readFstab(instPath + '/etc/fstab', intf)
  File "/usr/lib/anaconda/fsset.py", line 2066, in readFstab
    if fsystem is None:
UnboundLocalError: local variable 'fsystem' referenced before assignment

Comment 2 Jeremy Katz 2003-08-04 20:01:28 UTC
Fixed

Comment 3 Mike McLean 2003-08-13 16:02:30 UTC
closing


Note You need to log in before you can comment on or make changes to this bug.